libfreetype-dev and libglut-dev on Ubuntu 11.04

Problems compiling the game? Ask Here
Post Reply
cscash241
Posts: 15
Joined: Sun Apr 03, 2011 4:54 pm
Location: in the united states

libfreetype-dev and libglut-dev on Ubuntu 11.04

Post by cscash241 » Sun Jul 17, 2011 8:34 pm

I am using the instructions at http://wololo.net/miki/index.php/Wagic/Compiling and it says to

Code: Select all

Installing Wagic dependancies

    apt-get install libfreetype-dev libjpeg-dev libgif-dev libpng-dev libz-dev libglut-dev 
when i type

Code: Select all

 sudo apt-get install libfreetype-dev libjpeg-dev libgif-dev libpng-dev libz-dev libglut-dev 
i get

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'libjpeg62-dev' instead of 'libjpeg-dev'
Note, selecting 'libpng12-dev' instead of 'libpng-dev'
Note, selecting 'zlib1g-dev' instead of 'libz-dev'
E: Unable to locate package libfreetype-dev
E: Unable to locate package libglut-dev
  
I got it to work but i had to change the command to

Code: Select all

sudo apt-get install libjpeg-dev libgif-dev libpng-dev libz-dev
so it kinda worked but i am gussing Im going to have problems later if I can't get libfreetype-dev and libglut-dev to install
Last edited by cscash241 on Mon Jul 18, 2011 10:45 pm, edited 1 time in total.
iPod touch 4G 8GB iOS 5.0.1 Corona untether

wololo
Site Admin
Posts: 3727
Joined: Wed Oct 15, 2008 12:42 am
Location: Japan

Re: Help Compiling on Ubuntu 11.04

Post by wololo » Mon Jul 18, 2011 2:15 am

It's possible that these libs have a slightly different name on your OS.

I remember having to use libfreetype6-dev or something like that, once...

cscash241
Posts: 15
Joined: Sun Apr 03, 2011 4:54 pm
Location: in the united states

Re: Help Compiling on Ubuntu 11.04

Post by cscash241 » Mon Jul 18, 2011 12:27 pm

wololo wrote:It's possible that these libs have a slightly different name on your OS.

I remember having to use libfreetype6-dev or something like that, once...
thank you it was libfreetype6-dev im going to look up the other one now

Code: Select all

cscash241@christiansmith241:~$ sudo apt-get install libfreetype6-dev 
[sudo] password for cscash241: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  libfreetype6-dev
0 upgraded, 1 newly installed, 0 to remove and 183 not upgraded.
Need to get 770 kB of archives.
After this operation, 3,723 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ natty/main libfreetype6-dev amd64 2.4.4-1ubuntu2 [770 kB]
Fetched 770 kB in 21s (35.3 kB/s)                                            
Selecting previously deselected package libfreetype6-dev.
(Reading database ... 136041 files and directories currently installed.)
Unpacking libfreetype6-dev (from .../libfreetype6-dev_2.4.4-1ubuntu2_amd64.deb) ...
Processing triggers for doc-base ...
Processing 1 added doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for man-db ...
Setting up libfreetype6-dev (2.4.4-1ubuntu2) ...
cscash241@christiansmith241:~$ 
 
iPod touch 4G 8GB iOS 5.0.1 Corona untether

cscash241
Posts: 15
Joined: Sun Apr 03, 2011 4:54 pm
Location: in the united states

Re: Help Compiling on Ubuntu 11.04

Post by cscash241 » Mon Jul 18, 2011 12:47 pm

libglut-dev = freeglut3-dev
iPod touch 4G 8GB iOS 5.0.1 Corona untether

wololo
Site Admin
Posts: 3727
Joined: Wed Oct 15, 2008 12:42 am
Location: Japan

Re: Help Compiling on Ubuntu 11.04

Post by wololo » Mon Jul 18, 2011 1:01 pm

Thanks, hopefully this will help others in the same situation

cscash241
Posts: 15
Joined: Sun Apr 03, 2011 4:54 pm
Location: in the united states

Re: libfreetype-dev and libglut-dev on Ubuntu 11.04

Post by cscash241 » Sun Apr 01, 2012 12:26 pm

I am adding this info to the miki under compiling on GNU Linux
iPod touch 4G 8GB iOS 5.0.1 Corona untether

Post Reply